package com.solution.system.service;

import java.util.List;
import com.solution.system.domain.Nodetemplate;

/**
 * 节点模板Service接口
 * 
 * @author ruoyi
 * @date 2026-02-05
 */
public interface INodetemplateService 
{
    /**
     * 查询节点模板
     * 
     * @param id 节点模板主键
     * @return 节点模板
     */
    public Nodetemplate selectNodetemplateById(Long id);

    /**
     * 查询节点模板列表
     * 
     * @param nodetemplate 节点模板
     * @return 节点模板集合
     */
    public List<Nodetemplate> selectNodetemplateList(Nodetemplate nodetemplate);

    /**
     * 新增节点模板
     * 
     * @param nodetemplate 节点模板
     * @return 结果
     */
    public int insertNodetemplate(Nodetemplate nodetemplate);

    /**
     * 修改节点模板
     * 
     * @param nodetemplate 节点模板
     * @return 结果
     */
    public int updateNodetemplate(Nodetemplate nodetemplate);

    /**
     * 批量删除节点模板
     * 
     * @param ids 需要删除的节点模板主键集合
     * @return 结果
     */
    public int deleteNodetemplateByIds(Long[] ids);

    /**
     * 删除节点模板信息
     * 
     * @param id 节点模板主键
     * @return 结果
     */
    public int deleteNodetemplateById(Long id);
}
